[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.IsSequenced

Is the data sequenced

## Declaration

Source position: db.pas line 1582

`public function TDataSet.IsSequenced: Boolean; virtual;`

## Function result

True if RecNo can be used for navigation.

## Description

IsSequenced indicates whether it is safe to use the TDataset.RecNo property to navigate in the records of the data. By default, this property is set to True, but TDataset descendents may set this property to False (for instance, unidirectional datasets), in which case RecNo should not be used to navigate through the data.

## See also

TDataset.RecNo |  | Current record number

The latest version of this document can be found at lazarus-ccr.sourceforge.net .